Get Tool by ID
curl --request GET \
--url https://api.trugen.ai/v1/ext/tool/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.trugen.ai/v1/ext/tool/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.trugen.ai/v1/ext/tool/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0ea1fa09-4681-4068-8437-84ae6907b900",
"type": "tool.client",
"schema": {
"type": "function",
"name": "start_cloud_browser_session1",
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
},
"description": "Starts the dashboard page with logged in session1."
},
"request_config": {
"method": "GET",
"url": "https://www.example.com/information",
"headers": {
"User-Agent": "Trugen Avatar",
"Accept": "application/json"
}
},
"event_messages": {
"on_start": {
"message": "<string>"
},
"on_success": {
"message": "<string>"
},
"on_delay": {
"delay": 123,
"message": "<string>"
},
"on_error": {
"message": "<string>"
}
},
"created_at": "2025-08-26T17:28:43.042453Z",
"updated_at": "2025-08-26T17:28:43.042453Z"
}Tools
Get Tool By Id
Fetches a specific tool details using its unique ID. Requires x-api-key authentication.
GET
/
ext
/
tool
/
{id}
Get Tool by ID
Authorizations
Path Parameters
The UUID of the tool
Example:
"0ea1fa09-4681-4068-8437-84ae6907b900"
Response
Tool details retrieved successfully
Example:
"0ea1fa09-4681-4068-8437-84ae6907b900"
Example:
"tool.client"
Function schema definition
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2025-08-26T17:28:43.042453Z"
Example:
"2025-08-26T17:28:43.042453Z"
Was this page helpful?
⌘I